body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
}

.container {
    width: 90%;
    max-width: 700px;
    margin: 50px auto;
    text-align: center;
}

h1 {
    color: #333;
    margin-bottom: 30px;
}

.search-box {
    display: flex;
    gap: 10px;
    justify-content: center;
    margin-bottom: 30px;
}

input {
    width: 70%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 8px;
    font-size: 16px;
}

button {
    padding: 12px 20px;
    border: none;
    background-color: #1e88e5;
    color: white;
    border-radius: 8px;
    cursor: pointer;
    font-size: 16px;
}

button:hover {
    background-color: #1565c0;
}

#movieContainer {
    background-color: white;
    padding: 20px;
    border-radius: 10px;
}

#errorMessage {
    color: red;
    margin-top: 20px;
}
#movieContainer img {
    width: 250px;
    border-radius: 10px;
    margin-bottom: 20px;
}
@media (max-width: 600px) {
    .container {
        margin: 30px auto;
    }

    .search-box {
        flex-direction: column;
    }

    input {
        width: 100%;
        box-sizing: border-box;
    }

    button {
        width: 100%;
    }

    #movieContainer img {
        width: 200px;
    }
}